List osquery versions
GET
/api/v1/osquery/versions
const url = 'https://example.com/api/v1/osquery/versions';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/osquery/versions \ --header 'Authorization: <Authorization>'Returns the osquery versions osctrld can roll out, with the SHA-256 of each official package and whether a target or pin uses the version. Super admins only.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
entries
Array<object>
object
arch
string
created_at
string
created_by
string
format
string
platform
string
sha256
string
in_use
boolean
version
string
Examplegenerated
[ { "entries": [ { "arch": "example", "created_at": "example", "created_by": "example", "format": "example", "platform": "example", "sha256": "example" } ], "in_use": true, "version": "example" }]Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}